#ifndef CTHREADLOCALE_H
#define CTHREADLOCALE_H

class CThreadLocale
{
public:
    explicit CThreadLocale(LCID lcid) : m_lcid(::GetThreadLocale()) { ::SetThreadLocale(lcid); }
    ~CThreadLocale() { ::SetThreadLocale(m_lcid); }

    static inline LCID    getLCID()   { return(::GetThreadLocale());        }
    static inline LANGID  getLANGID() { return(LANGIDFROMLCID(getLCID()));  }

private:
    LCID m_lcid;
};

#endif
