#ifndef PRECOMP_H
#define PRECOMP_H

#define _WIN32_WINNT    _WIN32_WINNT_WINXP

#if _MSC_VER <= 1600
// Required to get rid of unwanted exports
#define _STATIC_CPPLIB
#endif

#if defined(_DEBUG) && !defined(_CRTDBG_MAP_ALLOC)
#define _CRTDBG_MAP_ALLOC
#endif

#define WIN32_LEAN_AND_MEAN
#define MICROSOFT_WINDOWS_WINBASE_H_DEFINE_INTERLOCKED_CPLUSPLUS_OVERLOADS (_WIN32_WINNT >= _WIN32_WINNT_WINXP || !defined(_WINBASE_))

#pragma warning(disable: 4514)
#pragma warning(disable: 4710)
#pragma warning(disable: 4711)
#pragma warning(push)
#pragma warning(disable: 4548)
#pragma warning(disable: 4668)
#pragma warning(disable: 4820)
#pragma warning(disable: 4917)

#ifdef _DEBUG
#include <crtdbg.h>
#else
#include <malloc.h>
#endif

#include <Windows.h>
#include <tchar.h>
#include <Shlwapi.h>
#include <OCIdl.h>
#include <OleCtl.h>
#include <strsafe.h>
#include <new>

#pragma warning(pop)

#include "./include/SiUtil.h"
#include "./include/SiUtilEx.h"

#include "ComException.h"
#include "misc.h"
#include "globals.h"
#include "CSiUtilEx.h"
#include "CSiUtilExUSB.h"
#include "dllmain.h"
#include "CClassFactory.h"
#include "CThreadLocale.h"

#endif
